# Change Log

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/)
and this project adheres to [Semantic Versioning](http://semver.org/).

## [1.6.0] - 2018-04-04

### Added

* ✨ Stopped transpiling to ES5, removed Babel and bumped the Node engine to `>=8`

## [1.5.0] - 2018-04-04

### Added

* ✨ Switched to `prettier`
* ✨ Added bitHound ignores against semver `latest` version entries

## [1.4.0] - 2017-09-23

### Added

* ✨ If `dist` folder exists, it's now added to ignores, together with its contents. I needed that because I'm switching to [Rollup](https://github.com/rollup/rollup-starter-lib/tree/babel) and its output is not configured via the CLI arguments. However, standard name for output folder is `dist`, so let's cut corner and use that.

## [1.3.0] - 2017-09-21

### Changed

* Dropped JS Standard and switched to raw ESLint on `airbnb-base` preset.
* Rewrote everything to be in ES6 as much as possible and set transpiling. We're serving now a transpiled version (as `main` entry in `package.json`).

### Added

* ✨ Now BitSausage understands the Babel builds and is able to generate the ignores section for `.bithoundrc`. You see, the transpiled file will always have semicolons and as a consequence, transpiled files get linted and flagged by BitHound.

## [1.2.0] - 2017-06-23

### Updated

* All deps
* Readme and licence with up-to-date author's name

### Added

* ✨ Previously missing `boxen` to the package.json

## [1.1.0] - 2017-06-20

### Added

* ✨ An message is shown when there are no linters set at all (or none recognised).

## 1.0.0 - 2017-06-19

### New

* ✨ First public release

[1.1.0]: https://github.com/codsen/bitsausage/compare/v1.0.0...v1.1.0
[1.2.0]: https://github.com/codsen/bitsausage/compare/v1.1.0...v1.2.0
[1.3.0]: https://github.com/codsen/bitsausage/compare/v1.2.0...v1.3.0
[1.4.0]: https://github.com/codsen/bitsausage/compare/v1.3.0...v1.4.0
[1.5.0]: https://github.com/codsen/bitsausage/compare/v1.4.0...v1.5.0
[1.6.0]: https://github.com/codsen/bitsausage/compare/v1.5.0...v1.6.0
